Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.property
Class PathExpression.RepositoryPath

    java.lang.Object
      org.modeshape.graph.property.PathExpression.RepositoryPath

Enclosing class:
  PathExpression

    @Immutable
    public static class PathExpression.RepositoryPath

extends Object

Field Summary
`String` | `path`
`String` | `repositoryName`
`String` | `workspaceName`

Constructor Summary
`PathExpression.RepositoryPath(String repositoryName, String workspaceName, String path)`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`String` | `toString()`
`PathExpression.RepositoryPath` | `withPath(String path)`
`PathExpression.RepositoryPath` | `withRepositoryName(String repositoryName)`
`PathExpression.RepositoryPath` | `withWorkspaceName(String workspaceName)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### repositoryName

    public final String repositoryName

### workspaceName

    public final String workspaceName

### path

    public final String path

Constructor Detail

### PathExpression.RepositoryPath

    public PathExpression.RepositoryPath(String repositoryName,
                                         String workspaceName,
                                         String path)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### withRepositoryName

    public PathExpression.RepositoryPath withRepositoryName(String repositoryName)

### withWorkspaceName

    public PathExpression.RepositoryPath withWorkspaceName(String workspaceName)

### withPath

    public PathExpression.RepositoryPath withPath(String path)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.